C API Functions

## udbLookupEntityByReference

### Description

Lookup the specified entity by name, based on the source file, line, and column that an entity reference occurs at.

### Syntax

     #include "udb/udb.h"
     UdbEntity udbLookupEntityByReference(UdbEntity file,
                                         char *name,
                                         int line, int col,
                                          int *matchline)

### Arguments

Argument | description
UdbEntity file | File entity.
char *name | Name of entity to lookup.
int line | Line reference occurs on
int col | Column reference occurs on
int *matchline | If not NULL, return matched line, or 0

### Return Values

Return Value | description
UdbEntity | Return the referenced entity.

### Example Usage

     refentity = udbLookupEntityByReference(
                          udbLookupFile(filename),
                          entityname,
                          refline, refcol,
                          NULL);

### See Also

udbLookupReferenceExists to check if an entity has any references of the specified kinds.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com